API referenceATLASi ISP
POST /api/ATLASi/ISP/GetGenericConstraints
POST
/api/ATLASi/ISP/GetGenericConstraintscurl -X POST "/api/ATLASi/ISP/GetGenericConstraints" \
-H "Authorization: $ATLAS_ETRM_API_DOCUMENTATION_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"data": "2026-10-23"
}'Authorization
AuthorizationstringheaderrequiredJWT Authorization header using the Bearer scheme. Enter your token including the 'Bearer ' prefix (e.g. 'Bearer eyJ...').
Body
application/json
datastring<date>
Response
application/json
OK
successbooleanerrorCodestring | nullerrorMessagestring | nullwarningMessagestring | nullinfoMessagestring | nullrecordCountinteger<int32>dataEtrmApiGateway.DTOs.ATLASi.ISP.CGenericConstraintsDto
{
"success": true,
"errorCode": "string",
"errorMessage": "string",
"warningMessage": "string",
"infoMessage": "string",
"recordCount": 0,
"data": {
"minDispatchPeriod": 0,
"maxDispatchPeriod": 0,
"timestep": 0,
"date": "2026-01-15",
"payload": [
{
"id": 0,
"type": 1,
"entityIds": [
0
],
"timeStart": "2026-01-15T09:30:00Z",
"timeEnd": "2026-01-15T09:30:00Z",
"enforce": true,
"powerCoeff": 0,
"fcrUpCoeff": 0,
"fcrDownCoeff": 0,
"afrrUpCoeff": 0,
"afrrDownCoeff": 0,
"mfrrUpCoeff": 0,
"mfrrDownCoeff": 0,
"rrUpCoeff": 0,
"rrDownCoeff": 0,
"limit": 0
}
],
"entities": [
{
"id": 0,
"name": "string"
}
],
"constraintTypes": [
{
"id": 0,
"name": "string"
}
]
}
}